﻿@model CarRental.Web.Areas.Accounts.ViewModel.LoginModel
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@{
	Layout = "_LoginLayout";
}
<link rel="stylesheet" href="~/assets/css/login.css" />

<section class="ftco-section">
	<div class="container">

		<div class="row justify-content-center">
			<div class="col-md-12 col-lg-10">
				<div class="wrap d-md-flex">
					@{
						var loginUrl = Url.Content("~/assets/images/bg_1.jpg");
					}
					<div class="img" style="background-image: url(@loginUrl);">
					</div>
					<div class="login-wrap p-4 p-md-5">
						<div class="d-flex">
							<div class="w-100">
								<h3 class="mb-4">Log In</h3>
							</div>
							<div class="w-100">
								<p class="social-media d-flex justify-content-end">
									<a href="#"
									   class="social-icon d-flex align-items-center justify-content-center">
										<span class="fa fa-facebook"></span>
									</a>
									<a href="#"
									   class="social-icon d-flex align-items-center justify-content-center">
										<span class="fa fa-twitter"></span>
									</a>
								</p>
							</div>
						</div>
						<form id="account" asp-action="Login" asp-controller="Account" method="post">
							<div asp-validation-summary="ModelOnly" class="text-danger"></div>
							<div class="form-group mb-3">
								<label asp-for="Email" class="label">Email</label>
								<input type="text" asp-for="Email" class="form-control" autocomplete="username" placeholder="Your Email Address" aria-required="true" />
								<span asp-validation-for="Email" class="text-danger"></span>
							</div>

							<div class="form-group mb-3">
								<label asp-for="Password" class="label"></label>
								<input type="password" asp-for="Password" placeholder="Password" class="form-control" autocomplete="current-password" aria-required="true" />
								<span asp-validation-for="Password" class="text-danger"></span>
							</div>

							<div class="form-group">
								<button style="font-weight: bold;" type="submit" id="login-submit"
										class="form-control btn btn-primary rounded submit px-3">
									<i class="fa fa-user" aria-hidden="true"></i>
									Sign In
								</button>
							</div>
							<div class="form-group d-md-flex">
								<div class="w-50 text-left">

									<label asp-for="RememberMe" class="checkbox-wrap checkbox-primary mb-0">
										Remember Me
										<input asp-for="RememberMe" type="checkbox" checked>
										<span class="checkmark"></span>
									</label>

								</div>
								<div class="w-50 text-md-right">
									<a href="/Accounts/Account/ForgotPassword">Forgot Password</a>
								</div>
							</div>
						</form>
						<p class="text-center">Not a member? <a href="/Accounts/Account/Register">Sign Up</a></p>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>

@section Scripts {
	<partial name="_ValidationScriptsPartial" />
}
